Bug 1070872 - bcm2835-sdhost Raspberry Pi 3 SD Card errors
bcm2835-sdhost Raspberry Pi 3 SD Card errors
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
aarch64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Matthias Brugger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-01 23:06 UTC by Andrea Colombo
Modified: 2019-11-21 11:38 UTC (History)
10 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
workaround that prevents immediate system crash (1.25 KB, patch)
2018-03-06 19:15 UTC, Michal Suchanek
Details | Diff
fix for lockdep issue in bcm dma driver (918 bytes, patch)
2019-04-05 15:27 UTC, Michal Suchanek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Colombo 2017-12-01 23:06:41 UTC
Hi
Using image [openSUSE-Tumbleweed-ARM-JeOS-raspberrypi3.aarch64-2017.06.10-Build2.7.raw.xz] and upgrading to last snapshot 20171122 via [zypper dup], at the next reboot I got these issues on the main console:

nov 27 14:27:42 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:42 archive kernel: mmcblk0: error -22 transferring data, sector 3368922, nr 966, cmd response 0x900, card status 0x0
nov 27 14:27:42 archive kernel: mmcblk0: retrying using single block read
nov 27 14:27:42 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:42 archive kernel: mmcblk0: error -22 transferring data, sector 3370912, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:42 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3370912, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: retrying using single block read
nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3371936, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3371936, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: retrying using single block read
nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3372960, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3372960, nr 1024, cmd response 0x900, card status 0x0

Using kernel 4.11 or 4.14 doesn't make any difference.
Micro SD used is a Kingstone HC 4 GB Class 4; using a Sandisk SDHC 16 GB Class 10 (brand new) doesn't solve.

Steps to reproduce:
1. Download image [openSUSE-Tumbleweed-ARM-JeOS-raspberrypi3.aarch64-2017.06.10-Build2.7.raw.xz] and check.
2. xzcat openSUSE-Tumbleweed-ARM-JeOS-raspberrypi3.aarch64-2017.06.10-Build1.13.raw.xz | dd bs=4M of=/dev/sdb iflag=fullblock oflag=direct; sync
3. Login as root and execute [zypper dup]
4. Reboot
5. Wait for error

Expected result:
System fully working without the above issues during and after the boot process.
Comment 1 Andrea Colombo 2017-12-01 23:11:41 UTC
Sorry, log output was partially, here a more complete one:

nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3371936, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3371936, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: retrying using single block read
nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3372960, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:43 archive kernel: mmcblk0: error -22 transferring data, sector 3372960, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:43 archive kernel: mmcblk0: retrying using single block read
nov 27 14:27:44 archive kernel: swiotlb_tbl_map_single: 8 callbacks suppressed
nov 27 14:27:44 archive kernel: bcm2835-dma 3f007000.dma: swiotlb buffer is full (sz: 442356 bytes)
nov 27 14:27:44 archive kernel: swiotlb_full: 8 callbacks suppressed
nov 27 14:27:44 archive kernel: bcm2835-dma 3f007000.dma: DMA: Out of SW-IOMMU space for 442356 bytes
nov 27 14:27:44 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:44 archive kernel: mmcblk0: error -22 transferring data, sector 3373984, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:44 archive kernel: bcm2835-dma 3f007000.dma: swiotlb buffer is full (sz: 442356 bytes)
nov 27 14:27:44 archive kernel: bcm2835-dma 3f007000.dma: DMA: Out of SW-IOMMU space for 442356 bytes
nov 27 14:27:44 archive kernel: mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0x400900
nov 27 14:27:44 archive kernel: mmcblk0: error -22 transferring data, sector 3373984, nr 1024, cmd response 0x900, card status 0x0
nov 27 14:27:44 archive kernel: mmcblk0: retrying using single block read

There are errors regarding the mmc but also the bcm2835-dma.
None of the above was raising with the old image.
Comment 2 Takashi Iwai 2017-12-05 10:58:41 UTC
Michal, is it a similar symptom you've seen with some SD-card?
RPi3 is known to be sensitive about the choice of SD-card, as it seems.
Comment 3 Michal Suchanek 2017-12-05 11:42:12 UTC
Yes, it is similar. Did not work with one card brand and worked flawlessly with another.

-110 is timeout so I tried increasing the timeout and it did not help. There is something stuck in the controller hardware.

The DMA error suggests that the driver possibly does not tear down the DMA transfer properly before retrying and something overflows.
Comment 4 Michal Suchanek 2017-12-05 12:28:57 UTC
Looking at the code 

1) the stop command which mmc/core/block issues in response to timeout should be already issued by mmc/host/bcm2835.c in bcm2835_timeout -> bcm2835_finish_data -> bcm2835_transfer_complete which is odd because I see no complaint about *that* stop

2) cannot find any code to abort the dma transfer when it fails

both can be possibly solved by calling bcm2835_reset in bcm2835_timeout because it both resets the controller and tears down dma.
Comment 5 Andrea Colombo 2017-12-05 22:24:09 UTC
I confirm that the same hw (rasp + SD) works without any issue on Leap 42.3 (image openSUSE-Leap42.3-ARM-JeOS-raspberrypi3.aarch64-2017.07.26-Build1.1.raw.xz) and Tumbleweed (image openSUSE-Tumbleweed-ARM-JeOS-raspberrypi3.aarch64-2017.06.10-Build2.7.raw.xz), so the cause is not (or not only) HW.
The above errors raise only on Tumbleweed and only after a [zypper dup], as already specified above.
I tried to isolate the package which cause the symptom but without no luck til now (I did only a few tests).

Why only after the upgrade these errors occurs? Perhaps a more aggressive tuning has been made to RaspPi3 on dma (generic/bcm2835) since 2017-06-10?
Comment 6 Michal Suchanek 2017-12-06 11:54:55 UTC
For me leap 42.3 crashes only occasionally with my EVO card (usually while doing zypper upgrade it crashes after a few packages).

stable a731a45 fails to boot - the filesystem goes readonly while recovering journal

test b2d355c works wrt mmc - I do not even get any errors reported but for some reason I do not get CMA for video so no graphics

The difference is unexpectedly big for such a small change.

Anyway I reproduced the card lockup with zypper up and the reset kind of helps as a bandaid. The card recovers but stalls for a long time. I did not check if the filesystem is corrupted as a result

<3>[37339.671638] sdhost-bcm2835 3f202000.sdhost: timeout waiting for hardware interrupt.
<3>[37349.911714] sdhost-bcm2835 3f202000.sdhost: timeout waiting for hardware interrupt.
<6>[37349.991752] mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0xe00
<3>[37950.006556] mmc0: Card stuck in programming state! mmcblk0 card_busy_detect
<3>[38037.917253] sdhost-bcm2835 3f202000.sdhost: timeout waiting for hardware interrupt.
<3>[38048.157335] sdhost-bcm2835 3f202000.sdhost: timeout waiting for hardware interrupt.
<6>[38048.237402] mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0xe00
<3>[38648.252183] mmc0: Card stuck in programming state! mmcblk0 card_busy_detect
<44>[38652.471840] systemd-journald[3773]: File /var/log/journal/4e6350529148997bd46d32525977db97/system.journal corrupted or uncleanly shut down, renaming and replacing.
<3>[38724.642831] sdhost-bcm2835 3f202000.sdhost: timeout waiting for hardware interrupt.
<3>[38734.882910] sdhost-bcm2835 3f202000.sdhost: timeout waiting for hardware interrupt.
<6>[38734.962965] mmcblk0: error -110 sending stop command, original cmd response 0x900, card status 0xe00
Comment 7 Guillaume GARDET 2018-01-30 08:58:52 UTC
Any progress on this bug? 

I have this problem with kernel 4.14.11-1-default on RPi 3 AArch64.
Comment 8 Michal Suchanek 2018-01-30 12:09:00 UTC
I instrumented the kernel with debug prints and found that the SD controller indeed lock up. Without advice of somebody with detailed knowledge of the hardware or good documentation there is not much that can be done.
Comment 9 Michal Suchanek 2018-01-30 12:18:58 UTC
hm, I guess I can submit the workaround I am using in absence of any better solution
Comment 10 Michal Suchanek 2018-03-06 19:14:10 UTC
The upstream discussion is inconclusive.

The maintainers want a reliable reproducer but with each kernel version the frequency at which the bug is triggered varies wildly.

With the 4.16-rc3 it is very infrequent again.

Do we want the workaround patch?
Comment 11 Michal Suchanek 2018-03-06 19:15:43 UTC
Created attachment 762873 [details]
workaround that prevents immediate system crash
Comment 12 Guillaume GARDET 2018-05-16 08:34:44 UTC
I just tried Tumbleweed 20180502 using latest published image [1] with kernel 4.16.6-1-default on RPi3 and there is no SD card related error.

If nobody is able to reproduce with recent kernel, I suggest to close this bug.

[1]: openSUSE-Tumbleweed-ARM-JeOS-raspberrypi3.aarch64-2018.04.30-Build2.8.raw.xz
Comment 13 Michal Suchanek 2018-05-16 14:06:46 UTC
(In reply to Guillaume GARDET from comment #12)
> I just tried Tumbleweed 20180502 using latest published image [1] with
> kernel 4.16.6-1-default on RPi3 and there is no SD card related error.
> 
> If nobody is able to reproduce with recent kernel, I suggest to close this
> bug.
> 
> [1]:
> openSUSE-Tumbleweed-ARM-JeOS-raspberrypi3.aarch64-2018.04.30-Build2.8.raw.xz

If you read the report you are commenting on you would know it does not happen on every card. The fact that it works with your card means nothing.
Comment 14 Guillaume GARDET 2018-05-16 14:39:06 UTC
(In reply to Michal Suchanek from comment #13)
> If you read the report you are commenting on you would know it does not
> happen on every card. The fact that it works with your card means nothing.

My SD card triggered the problem with previous kernels. That is why I comment it. 

Is anyone able to reproduce?
Comment 15 Michal Suchanek 2019-04-05 15:27:12 UTC
Created attachment 802304 [details]
fix for lockdep issue in bcm dma driver
Comment 16 Michal Suchanek 2019-04-05 15:32:28 UTC
We have at two issues with the bcm2835 mmc driver

 - the mmc controller locks up occasionally (with some card models). A workaround is the first attached patch and went upstream in f6000a4eb34e6462bc0dd39809c1bb99f9633269 (Linux 5.0)
 - the bcm mmc and dma driver can get into a deadlock according to lockdep. The second attached patch reportedly resolves the lockdep warning but it is difficult to confirm it resolves the lockups
Comment 17 Michal Suchanek 2019-04-10 16:57:20 UTC
And further investigation shows that neither of the fixes resolves the problem.

After applying the first workaround the board merely changed from symptom 2 to symptom 1 probably without any relationship to the patch applied.

The second workaround may fix a lockdep issue (real of false or whatever) but does not prevent the system from locking up when symptom 2 occurs.

After that the system is pretty much unusable. Network stops working. It is possible to type on serial console but the process running on it is stuck in IO.

Any idea how to debug such lockup?
Comment 23 Swamp Workflow Management 2019-05-14 19:12:40 UTC
This is an autogenerated message for OBS integration:
This bug (1070872) was mentioned in
https://build.opensuse.org/request/show/702938 15.0 / kernel-source
https://build.opensuse.org/request/show/702940 42.3 / kernel-source
Comment 24 Swamp Workflow Management 2019-05-14 22:13:24 UTC
SUSE-SU-2019:1242-1: An update that solves 9 vulnerabilities and has 165 fixes is now available.

Category: security (important)
Bug References: 1050549,1051510,1052904,1053043,1055117,1055121,1055186,1061840,1065600,1065729,1070872,1078216,1082555,1083647,1085535,1085536,1088804,1093777,1094120,1094244,1097583,1097584,1097585,1097586,1097587,1097588,1100132,1103186,1103259,1107937,1108193,1108937,1111331,1112128,1112178,1113399,1113722,1114279,1114542,1114638,1119086,1119680,1120318,1120902,1122767,1123105,1125342,1126221,1126356,1126704,1126740,1127175,1127371,1127372,1127374,1127378,1127445,1128415,1128544,1129273,1129276,1129770,1130130,1130154,1130195,1130335,1130336,1130337,1130338,1130425,1130427,1130518,1130527,1130567,1130579,1131062,1131107,1131167,1131168,1131169,1131170,1131171,1131172,1131173,1131174,1131175,1131176,1131177,1131178,1131179,1131180,1131290,1131326,1131335,1131336,1131416,1131427,1131442,1131467,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132083,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132681,1132726,1132828,1132943,1133005,1133094,1133095,1133115,1133149,1133486,1133529,1133584,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852
CVE References: CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2019-11091,CVE-2019-3882,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-azure-4.12.14-6.12.1, kernel-source-azure-4.12.14-6.12.1, kernel-syms-azure-4.12.14-6.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Swamp Workflow Management 2019-05-14 22:43:17 UTC
SUSE-SU-2019:1244-1: An update that solves 9 vulnerabilities and has 154 fixes is now available.

Category: security (important)
Bug References: 1050549,1051510,1052904,1053043,1055117,1055121,1061840,1065600,1065729,1070872,1082555,1083647,1085535,1085536,1088804,1094244,1097583,1097584,1097585,1097586,1097587,1097588,1100132,1103259,1111331,1112128,1112178,1113399,1113722,1114279,1114542,1114638,1119086,1119680,1120318,1120902,1122767,1123105,1125342,1126221,1126356,1126704,1126740,1127175,1127371,1127372,1127374,1127378,1127445,1128415,1128544,1129276,1129770,1130130,1130154,1130195,1130335,1130336,1130337,1130338,1130425,1130427,1130518,1130527,1130567,1131062,1131107,1131167,1131168,1131169,1131170,1131171,1131172,1131173,1131174,1131175,1131176,1131177,1131178,1131179,1131180,1131290,1131335,1131336,1131416,1131427,1131442,1131467,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132083,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132681,1132726,1132828,1132943,1133005,1133094,1133095,1133115,1133149,1133486,1133529,1133584,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852
CVE References: CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2019-11091,CVE-2019-3882,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.17.1, kernel-livepatch-SLE15_Update_10-1-1.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 26 Swamp Workflow Management 2019-05-14 22:54:25 UTC
SUSE-SU-2019:1245-1: An update that solves 10 vulnerabilities and has 65 fixes is now available.

Category: security (important)
Bug References: 1012382,1020645,1020989,1031492,1047487,1051510,1053043,1062056,1063638,1066223,1070872,1085539,1087092,1094244,1096480,1096728,1097104,1100132,1105348,1106110,1106913,1106929,1111331,1112178,1113399,1114542,1114638,1114648,1114893,1118338,1118506,1119086,1120902,1122822,1125580,1126356,1127445,1129278,1129326,1129770,1130130,1130343,1130344,1130345,1130346,1130347,1130356,1130425,1130567,1130737,1131107,1131416,1131427,1131587,1131659,1131857,1131900,1131934,1131935,1131980,1132227,1132534,1132589,1132618,1132619,1132634,1132635,1132636,1132637,1132638,1132727,1132828,1133308,1133584,994770
CVE References: CVE-2018-1000204,CVE-2018-10853,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-15594,CVE-2018-5814,CVE-2019-11091,CVE-2019-3882,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    kernel-default-4.4.178-94.91.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-4.4.178-94.91.2, kernel-obs-build-4.4.178-94.91.1
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-default-4.4.178-94.91.2, kernel-source-4.4.178-94.91.1, kernel-syms-4.4.178-94.91.1
SUSE Linux Enterprise High Availability 12-SP3 (src):    kernel-default-4.4.178-94.91.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    kernel-default-4.4.178-94.91.2, kernel-source-4.4.178-94.91.1, kernel-syms-4.4.178-94.91.1
SUSE CaaS Platform ALL (src):    kernel-default-4.4.178-94.91.2
SUSE CaaS Platform 3.0 (src):    kernel-default-4.4.178-94.91.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 27 Swamp Workflow Management 2019-05-15 01:11:11 UTC
SUSE-SU-2019:1241-1: An update that solves 9 vulnerabilities and has 161 fixes is now available.

Category: security (important)
Bug References: 1050549,1051510,1052904,1053043,1055117,1055121,1055186,1061840,1065600,1065729,1070872,1082555,1083647,1085535,1085536,1088804,1094244,1097583,1097584,1097585,1097586,1097587,1097588,1100132,1103186,1103259,1108193,1108937,1111331,1112128,1112178,1113399,1113722,1114279,1114542,1114638,1119086,1119680,1120318,1120902,1122767,1123105,1125342,1126221,1126356,1126704,1126740,1127175,1127371,1127372,1127374,1127378,1127445,1128415,1128544,1129273,1129276,1129770,1130130,1130154,1130195,1130335,1130336,1130337,1130338,1130425,1130427,1130518,1130527,1130567,1130579,1131062,1131107,1131167,1131168,1131169,1131170,1131171,1131172,1131173,1131174,1131175,1131176,1131177,1131178,1131179,1131180,1131290,1131326,1131335,1131336,1131416,1131427,1131442,1131467,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132083,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132681,1132726,1132828,1132943,1133005,1133094,1133095,1133115,1133149,1133486,1133529,1133584,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852
CVE References: CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2019-11091,CVE-2019-3882,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Live Patching 12-SP4 (src):    kgraft-patch-SLE12-SP4_Update_4-1-6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 28 Swamp Workflow Management 2019-05-15 01:13:45 UTC
SUSE-SU-2019:1244-1: An update that solves 9 vulnerabilities and has 154 fixes is now available.

Category: security (important)
Bug References: 1050549,1051510,1052904,1053043,1055117,1055121,1061840,1065600,1065729,1070872,1082555,1083647,1085535,1085536,1088804,1094244,1097583,1097584,1097585,1097586,1097587,1097588,1100132,1103259,1111331,1112128,1112178,1113399,1113722,1114279,1114542,1114638,1119086,1119680,1120318,1120902,1122767,1123105,1125342,1126221,1126356,1126704,1126740,1127175,1127371,1127372,1127374,1127378,1127445,1128415,1128544,1129276,1129770,1130130,1130154,1130195,1130335,1130336,1130337,1130338,1130425,1130427,1130518,1130527,1130567,1131062,1131107,1131167,1131168,1131169,1131170,1131171,1131172,1131173,1131174,1131175,1131176,1131177,1131178,1131179,1131180,1131290,1131335,1131336,1131416,1131427,1131442,1131467,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132083,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132681,1132726,1132828,1132943,1133005,1133094,1133095,1133115,1133149,1133486,1133529,1133584,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852
CVE References: CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2019-11091,CVE-2019-3882,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    kernel-default-4.12.14-150.17.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    kernel-default-4.12.14-150.17.1, kernel-docs-4.12.14-150.17.1, kernel-obs-qa-4.12.14-150.17.1
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.17.1, kernel-livepatch-SLE15_Update_10-1-1.3.1
SUSE Linux Enterprise Module for Legacy Software 15 (src):    kernel-default-4.12.14-150.17.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    kernel-docs-4.12.14-150.17.1, kernel-obs-build-4.12.14-150.17.1, kernel-source-4.12.14-150.17.1, kernel-syms-4.12.14-150.17.1, kernel-vanilla-4.12.14-150.17.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    kernel-default-4.12.14-150.17.1, kernel-source-4.12.14-150.17.1, kernel-zfcpdump-4.12.14-150.17.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-150.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 29 Swamp Workflow Management 2019-05-15 01:24:34 UTC
SUSE-SU-2019:1241-1: An update that solves 9 vulnerabilities and has 161 fixes is now available.

Category: security (important)
Bug References: 1050549,1051510,1052904,1053043,1055117,1055121,1055186,1061840,1065600,1065729,1070872,1082555,1083647,1085535,1085536,1088804,1094244,1097583,1097584,1097585,1097586,1097587,1097588,1100132,1103186,1103259,1108193,1108937,1111331,1112128,1112178,1113399,1113722,1114279,1114542,1114638,1119086,1119680,1120318,1120902,1122767,1123105,1125342,1126221,1126356,1126704,1126740,1127175,1127371,1127372,1127374,1127378,1127445,1128415,1128544,1129273,1129276,1129770,1130130,1130154,1130195,1130335,1130336,1130337,1130338,1130425,1130427,1130518,1130527,1130567,1130579,1131062,1131107,1131167,1131168,1131169,1131170,1131171,1131172,1131173,1131174,1131175,1131176,1131177,1131178,1131179,1131180,1131290,1131326,1131335,1131336,1131416,1131427,1131442,1131467,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132083,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132681,1132726,1132828,1132943,1133005,1133094,1133095,1133115,1133149,1133486,1133529,1133584,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852
CVE References: CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2019-11091,CVE-2019-3882,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    kernel-default-4.12.14-95.16.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    kernel-docs-4.12.14-95.16.1, kernel-obs-build-4.12.14-95.16.1
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-default-4.12.14-95.16.1, kernel-source-4.12.14-95.16.1, kernel-syms-4.12.14-95.16.1
SUSE Linux Enterprise Live Patching 12-SP4 (src):    kgraft-patch-SLE12-SP4_Update_4-1-6.3.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.16.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    kernel-default-4.12.14-95.16.1, kernel-source-4.12.14-95.16.1, kernel-syms-4.12.14-95.16.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 30 Swamp Workflow Management 2019-05-15 07:11:17 UTC
SUSE-SU-2019:1240-1: An update that solves 9 vulnerabilities and has 159 fixes is now available.

Category: security (important)
Bug References: 1050549,1051510,1052904,1053043,1055117,1055121,1061840,1065600,1065729,1070872,1078216,1082555,1083647,1085535,1085536,1088804,1093777,1094120,1094244,1097583,1097584,1097585,1097586,1097587,1097588,1100132,1103186,1103259,1107937,1111331,1112128,1112178,1113399,1113722,1114279,1114542,1114638,1119086,1119680,1120318,1120902,1122767,1123105,1125342,1126221,1126356,1126704,1126740,1127175,1127371,1127372,1127374,1127378,1127445,1128415,1128544,1129276,1129770,1130130,1130154,1130195,1130335,1130336,1130337,1130338,1130425,1130427,1130518,1130527,1130567,1131062,1131107,1131167,1131168,1131169,1131170,1131171,1131172,1131173,1131174,1131175,1131176,1131177,1131178,1131179,1131180,1131290,1131335,1131336,1131416,1131427,1131442,1131467,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132083,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132681,1132726,1132828,1132943,1133005,1133094,1133095,1133115,1133149,1133486,1133529,1133584,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852
CVE References: CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2019-11091,CVE-2019-3882,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15 (src):    kernel-azure-4.12.14-5.27.1, kernel-source-azure-4.12.14-5.27.1, kernel-syms-azure-4.12.14-5.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 31 Swamp Workflow Management 2019-05-16 13:11:40 UTC
openSUSE-SU-2019:1404-1: An update that solves 12 vulnerabilities and has 182 fixes is now available.

Category: security (important)
Bug References: 1050549,1051510,1052904,1053043,1055117,1055121,1055186,1061840,1063638,1065600,1065729,1070872,1082555,1083647,1085535,1085536,1088804,1097583,1097584,1097585,1097586,1097587,1097588,1103186,1103259,1106011,1108193,1108838,1108937,1110946,1111331,1112063,1112128,1112178,1113722,1114279,1114427,1114542,1114638,1119680,1119843,1120318,1120902,1122767,1122776,1124839,1126221,1126704,1126740,1127175,1127371,1127372,1127374,1128052,1128415,1128544,1128979,1129138,1129273,1129497,1129770,1130195,1130425,1130527,1130567,1130579,1130972,1131107,1131167,1131168,1131169,1131170,1131171,1131172,1131173,1131174,1131175,1131176,1131177,1131178,1131179,1131180,1131290,1131326,1131335,1131336,1131416,1131427,1131442,1131451,1131467,1131488,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132044,1132083,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132681,1132726,1132828,1132943,1133005,1133094,1133095,1133115,1133149,1133176,1133188,1133486,1133529,1133584,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852,1134160,1134162,1134199,1134200,1134201,1134202,1134203,1134204,1134205,1134354,1134393,1134459,1134460,1134461,1134537,1134651,1134760,1134810,1134813,1134848,1135006,1135007,1135008,1135100
CVE References: CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2019-11091,CVE-2019-11486,CVE-2019-11815,CVE-2019-11884,CVE-2019-3882,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
openSUSE Leap 15.0 (src):    kernel-debug-4.12.14-lp150.12.61.1, kernel-default-4.12.14-lp150.12.61.1, kernel-docs-4.12.14-lp150.12.61.1, kernel-kvmsmall-4.12.14-lp150.12.61.1, kernel-obs-build-4.12.14-lp150.12.61.1, kernel-obs-qa-4.12.14-lp150.12.61.1, kernel-source-4.12.14-lp150.12.61.1, kernel-syms-4.12.14-lp150.12.61.1, kernel-vanilla-4.12.14-lp150.12.61.1
Comment 32 Swamp Workflow Management 2019-05-21 06:08:11 UTC
openSUSE-SU-2019:1407-1: An update that solves 14 vulnerabilities and has 90 fixes is now available.

Category: security (important)
Bug References: 1012382,1020645,1020989,1031492,1047487,1051510,1053043,1062056,1063638,1064388,1066223,1070872,1085539,1087092,1094244,1096480,1096728,1097104,1100132,1103186,1105348,1106110,1106913,1106929,1108293,1110785,1110946,1111331,1112063,1112178,1113399,1114542,1114638,1114648,1114893,1116803,1118338,1118506,1119086,1119974,1120902,1122776,1122822,1125580,1126040,1126356,1127445,1129138,1129278,1129326,1129770,1130130,1130343,1130344,1130345,1130346,1130347,1130356,1130425,1130567,1130737,1130972,1131107,1131416,1131427,1131488,1131587,1131659,1131857,1131900,1131934,1131935,1131980,1132212,1132227,1132534,1132589,1132618,1132619,1132634,1132635,1132636,1132637,1132638,1132727,1132828,1133188,1133308,1133584,1134160,1134162,1134537,1134564,1134565,1134566,1134651,1134760,1134848,1135013,1135014,1135015,1135100,843419,994770
CVE References: CVE-2018-1000204,CVE-2018-10853,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-15594,CVE-2018-17972,CVE-2018-5814,CVE-2019-11091,CVE-2019-11486,CVE-2019-11815,CVE-2019-11884,CVE-2019-3882,CVE-2019-9503
Sources used:
openSUSE Leap 42.3 (src):    kernel-debug-4.4.179-99.1, kernel-default-4.4.179-99.1, kernel-docs-4.4.179-99.1, kernel-obs-build-4.4.179-99.1, kernel-obs-qa-4.4.179-99.1, kernel-source-4.4.179-99.1, kernel-syms-4.4.179-99.1, kernel-vanilla-4.4.179-99.1
Comment 33 Swamp Workflow Management 2019-05-21 06:10:14 UTC
SUSE-SU-2019:1245-1: An update that solves 10 vulnerabilities and has 65 fixes is now available.

Category: security (important)
Bug References: 1012382,1020645,1020989,1031492,1047487,1051510,1053043,1062056,1063638,1066223,1070872,1085539,1087092,1094244,1096480,1096728,1097104,1100132,1105348,1106110,1106913,1106929,1111331,1112178,1113399,1114542,1114638,1114648,1114893,1118338,1118506,1119086,1120902,1122822,1125580,1126356,1127445,1129278,1129326,1129770,1130130,1130343,1130344,1130345,1130346,1130347,1130356,1130425,1130567,1130737,1131107,1131416,1131427,1131587,1131659,1131857,1131900,1131934,1131935,1131980,1132227,1132534,1132589,1132618,1132619,1132634,1132635,1132636,1132637,1132638,1132727,1132828,1133308,1133584,994770
CVE References: CVE-2018-1000204,CVE-2018-10853,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-15594,CVE-2018-5814,CVE-2019-11091,CVE-2019-3882,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    kernel-default-4.4.178-94.91.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-4.4.178-94.91.2, kernel-obs-build-4.4.178-94.91.1
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-default-4.4.178-94.91.2, kernel-source-4.4.178-94.91.1, kernel-syms-4.4.178-94.91.1
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_25-1-4.3.1
SUSE Linux Enterprise High Availability 12-SP3 (src):    kernel-default-4.4.178-94.91.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    kernel-default-4.4.178-94.91.2, kernel-source-4.4.178-94.91.1, kernel-syms-4.4.178-94.91.1
SUSE CaaS Platform ALL (src):    kernel-default-4.4.178-94.91.2
SUSE CaaS Platform 3.0 (src):    kernel-default-4.4.178-94.91.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 34 Swamp Workflow Management 2019-05-31 10:18:37 UTC
openSUSE-SU-2019:1479-1: An update that solves 11 vulnerabilities and has 111 fixes is now available.

Category: security (important)
Bug References: 1050549,1055117,1055186,1061840,1063638,1070872,1082555,1083647,1085535,1085536,1086657,1097584,1106011,1106284,1108193,1108937,1111331,1112063,1112128,1112178,1113722,1114279,1119680,1119843,1120843,1122776,1123663,1124839,1127175,1127371,1127374,1128415,1128971,1128979,1129138,1129693,1129770,1129845,1130527,1130567,1130579,1131416,1131427,1131438,1131451,1131488,1131530,1131574,1131673,1131847,1131900,1131934,1132044,1132219,1132226,1132369,1132373,1132397,1132402,1132403,1132404,1132405,1132411,1132412,1132413,1132426,1132527,1132531,1132561,1132562,1132564,1132618,1132681,1132726,1132828,1132894,1133005,1133094,1133095,1133149,1133176,1133188,1133547,1133668,1133672,1133698,1133702,1133769,1133772,1133778,1133779,1133780,1133850,1133851,1133852,1133897,1134160,1134162,1134201,1134202,1134204,1134205,1134393,1134459,1134461,1134597,1134600,1134651,1134810,1134848,1135007,1135008,1135120,1135278,1135281,1135309,1135312,1135315,1135320,1135323,1135492,1135642
CVE References: CVE-2018-7191,CVE-2019-11085,CVE-2019-11486,CVE-2019-11811,CVE-2019-11815,CVE-2019-11833,CVE-2019-11884,CVE-2019-3882,CVE-2019-5489,CVE-2019-9500,CVE-2019-9503
Sources used:
openSUSE Leap 15.1 (src):    kernel-debug-4.12.14-lp151.28.4.1, kernel-default-4.12.14-lp151.28.4.1, kernel-docs-4.12.14-lp151.28.4.1, kernel-kvmsmall-4.12.14-lp151.28.4.1, kernel-obs-build-4.12.14-lp151.28.4.1, kernel-obs-qa-4.12.14-lp151.28.4.1, kernel-source-4.12.14-lp151.28.4.1, kernel-syms-4.12.14-lp151.28.4.1, kernel-vanilla-4.12.14-lp151.28.4.1
Comment 38 Swamp Workflow Management 2019-06-18 19:15:17 UTC
SUSE-SU-2019:1550-1: An update that solves 28 vulnerabilities and has 318 fixes is now available.

Category: security (important)
Bug References: 1012382,1050242,1050549,1051510,1052904,1053043,1055117,1055121,1055186,1056787,1058115,1061840,1063638,1064802,1065600,1065729,1066129,1068546,1070872,1071995,1075020,1082387,1082555,1083647,1085535,1085536,1086657,1088804,1093389,1097583,1097584,1097585,1097586,1097587,1097588,1099658,1103186,1103259,1103992,1104353,1104427,1106011,1106284,1108193,1108838,1108937,1110946,1111331,1111666,1111696,1112063,1112128,1112178,1113722,1113956,1114279,1114427,1114542,1114638,1115688,1117114,1117158,1117561,1118139,1119680,1119843,1120091,1120318,1120423,1120566,1120843,1120902,1122767,1122776,1123454,1123663,1124503,1124839,1126206,1126356,1126704,1127175,1127371,1127374,1127616,1128052,1128415,1128544,1128904,1128971,1128979,1129138,1129273,1129497,1129693,1129770,1129845,1130195,1130425,1130527,1130567,1130579,1130699,1130937,1130972,1131326,1131427,1131438,1131451,1131467,1131488,1131530,1131565,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132044,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132673,1132681,1132726,1132828,1132894,1132943,1132982,1133005,1133016,1133094,1133095,1133115,1133149,1133176,1133188,1133190,1133320,1133486,1133529,1133547,1133584,1133593,1133612,1133616,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852,1133897,1134090,1134160,1134162,1134199,1134200,1134201,1134202,1134203,1134204,1134205,1134223,1134354,1134393,1134397,1134459,1134460,1134461,1134597,1134600,1134607,1134618,1134651,1134671,1134760,1134806,1134810,1134813,1134848,1134936,1134945,1134946,1134947,1134948,1134949,1134950,1134951,1134952,1134953,1134972,1134974,1134975,1134980,1134981,1134983,1134987,1134989,1134990,1134994,1134995,1134998,1134999,1135006,1135007,1135008,1135018,1135021,1135024,1135026,1135027,1135028,1135029,1135031,1135033,1135034,1135035,1135036,1135037,1135038,1135039,1135041,1135042,1135044,1135045,1135046,1135047,1135049,1135051,1135052,1135053,1135055,1135056,1135058,1135100,1135120,1135278,1135281,1135309,1135312,1135314,1135315,1135316,1135320,1135323,1135330,1135492,1135542,1135556,1135603,1135642,1135661,1135758,1136188,1136206,1136215,1136345,1136347,1136348,1136353,1136424,1136428,1136430,1136432,1136434,1136435,1136438,1136439,1136456,1136460,1136461,1136469,1136477,1136478,1136498,1136573,1136586,1136881,1136935,1136990,1137151,1137152,1137153,1137162,1137201,1137224,1137232,1137233,1137236,1137372,1137429,1137444,1137586,1137739,1137752,1138291,1138293
CVE References: CVE-2017-5753,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2018-7191,CVE-2019-10124,CVE-2019-11085,CVE-2019-11091,CVE-2019-11477,CVE-2019-11478,CVE-2019-11479,CVE-2019-11486,CVE-2019-11487,CVE-2019-11811,CVE-2019-11815,CVE-2019-11833,CVE-2019-11884,CVE-2019-12382,CVE-2019-12818,CVE-2019-12819,CVE-2019-3846,CVE-2019-3882,CVE-2019-5489,CVE-2019-8564,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.4.1, kernel-livepatch-SLE15-SP1_Update_1-1-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 39 Swamp Workflow Management 2019-06-18 22:31:11 UTC
SUSE-SU-2019:1550-1: An update that solves 28 vulnerabilities and has 318 fixes is now available.

Category: security (important)
Bug References: 1012382,1050242,1050549,1051510,1052904,1053043,1055117,1055121,1055186,1056787,1058115,1061840,1063638,1064802,1065600,1065729,1066129,1068546,1070872,1071995,1075020,1082387,1082555,1083647,1085535,1085536,1086657,1088804,1093389,1097583,1097584,1097585,1097586,1097587,1097588,1099658,1103186,1103259,1103992,1104353,1104427,1106011,1106284,1108193,1108838,1108937,1110946,1111331,1111666,1111696,1112063,1112128,1112178,1113722,1113956,1114279,1114427,1114542,1114638,1115688,1117114,1117158,1117561,1118139,1119680,1119843,1120091,1120318,1120423,1120566,1120843,1120902,1122767,1122776,1123454,1123663,1124503,1124839,1126206,1126356,1126704,1127175,1127371,1127374,1127616,1128052,1128415,1128544,1128904,1128971,1128979,1129138,1129273,1129497,1129693,1129770,1129845,1130195,1130425,1130527,1130567,1130579,1130699,1130937,1130972,1131326,1131427,1131438,1131451,1131467,1131488,1131530,1131565,1131574,1131587,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132044,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132673,1132681,1132726,1132828,1132894,1132943,1132982,1133005,1133016,1133094,1133095,1133115,1133149,1133176,1133188,1133190,1133320,1133486,1133529,1133547,1133584,1133593,1133612,1133616,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852,1133897,1134090,1134160,1134162,1134199,1134200,1134201,1134202,1134203,1134204,1134205,1134223,1134354,1134393,1134397,1134459,1134460,1134461,1134597,1134600,1134607,1134618,1134651,1134671,1134760,1134806,1134810,1134813,1134848,1134936,1134945,1134946,1134947,1134948,1134949,1134950,1134951,1134952,1134953,1134972,1134974,1134975,1134980,1134981,1134983,1134987,1134989,1134990,1134994,1134995,1134998,1134999,1135006,1135007,1135008,1135018,1135021,1135024,1135026,1135027,1135028,1135029,1135031,1135033,1135034,1135035,1135036,1135037,1135038,1135039,1135041,1135042,1135044,1135045,1135046,1135047,1135049,1135051,1135052,1135053,1135055,1135056,1135058,1135100,1135120,1135278,1135281,1135309,1135312,1135314,1135315,1135316,1135320,1135323,1135330,1135492,1135542,1135556,1135603,1135642,1135661,1135758,1136188,1136206,1136215,1136345,1136347,1136348,1136353,1136424,1136428,1136430,1136432,1136434,1136435,1136438,1136439,1136456,1136460,1136461,1136469,1136477,1136478,1136498,1136573,1136586,1136881,1136935,1136990,1137151,1137152,1137153,1137162,1137201,1137224,1137232,1137233,1137236,1137372,1137429,1137444,1137586,1137739,1137752,1138291,1138293
CVE References: CVE-2017-5753,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16880,CVE-2018-7191,CVE-2019-10124,CVE-2019-11085,CVE-2019-11091,CVE-2019-11477,CVE-2019-11478,CVE-2019-11479,CVE-2019-11486,CVE-2019-11487,CVE-2019-11811,CVE-2019-11815,CVE-2019-11833,CVE-2019-11884,CVE-2019-12382,CVE-2019-12818,CVE-2019-12819,CVE-2019-3846,CVE-2019-3882,CVE-2019-5489,CVE-2019-8564,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.4.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    dtb-aarch64-4.12.14-197.4.1, kernel-debug-4.12.14-197.4.1, kernel-default-4.12.14-197.4.1, kernel-docs-4.12.14-197.4.1, kernel-kvmsmall-4.12.14-197.4.1, kernel-obs-qa-4.12.14-197.4.1, kernel-source-4.12.14-197.4.1, kernel-vanilla-4.12.14-197.4.1, kernel-zfcpdump-4.12.14-197.4.1
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.4.1, kernel-livepatch-SLE15-SP1_Update_1-1-3.3.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.4.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.4.1, kernel-obs-build-4.12.14-197.4.1, kernel-source-4.12.14-197.4.1, kernel-syms-4.12.14-197.4.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.4.1, kernel-source-4.12.14-197.4.1, kernel-zfcpdump-4.12.14-197.4.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 43 Swamp Workflow Management 2019-09-23 13:20:21 UTC
SUSE-SU-2019:2430-1: An update that solves 45 vulnerabilities and has 474 fixes is now available.

Category: security (important)
Bug References: 1050242,1050549,1051510,1052904,1053043,1055117,1055121,1055186,1056787,1058115,1061840,1064802,1065600,1065729,1066129,1070872,1071995,1075020,1082387,1082555,1083647,1083710,1085535,1085536,1088047,1088804,1093389,1094555,1096003,1098633,1099658,1102247,1103186,1103259,1103990,1103991,1103992,1104745,1106011,1106284,1106383,1106751,1108193,1108838,1108937,1109837,1110946,1111331,1111666,1111696,1112063,1112128,1112178,1112374,1113722,1113956,1114279,1114427,1114542,1114638,1114685,1115688,1117114,1117158,1117561,1118139,1119113,1119222,1119532,1119680,1120091,1120318,1120423,1120566,1120843,1120902,1122767,1122776,1123080,1123454,1123663,1124503,1124839,1125703,1126206,1126356,1126704,1127034,1127175,1127315,1127371,1127374,1127611,1127616,1128052,1128415,1128432,1128544,1128902,1128904,1128971,1128979,1129138,1129273,1129693,1129770,1129845,1130195,1130425,1130527,1130567,1130579,1130699,1130836,1130937,1130972,1131326,1131427,1131438,1131451,1131467,1131488,1131530,1131565,1131574,1131587,1131645,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132044,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132390,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132673,1132681,1132726,1132828,1132894,1132943,1132982,1133005,1133016,1133021,1133094,1133095,1133115,1133149,1133176,1133188,1133190,1133311,1133320,1133401,1133486,1133529,1133547,1133584,1133593,1133612,1133616,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133738,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852,1133897,1134090,1134097,1134160,1134162,1134199,1134200,1134201,1134202,1134203,1134204,1134205,1134223,1134303,1134354,1134390,1134393,1134395,1134397,1134399,1134459,1134460,1134461,1134597,1134600,1134607,1134618,1134651,1134671,1134730,1134738,1134743,1134760,1134806,1134810,1134813,1134848,1134936,1134945,1134946,1134947,1134948,1134949,1134950,1134951,1134952,1134953,1134972,1134974,1134975,1134980,1134981,1134983,1134987,1134989,1134990,1134994,1134995,1134998,1134999,1135006,1135007,1135008,1135018,1135021,1135024,1135026,1135027,1135028,1135029,1135031,1135033,1135034,1135035,1135036,1135037,1135038,1135039,1135041,1135042,1135044,1135045,1135046,1135047,1135049,1135051,1135052,1135053,1135055,1135056,1135058,1135100,1135120,1135153,1135278,1135281,1135296,1135309,1135312,1135314,1135315,1135316,1135320,1135323,1135330,1135335,1135492,1135542,1135556,1135603,1135642,1135661,1135758,1135897,1136156,1136157,1136161,1136188,1136206,1136215,1136217,1136264,1136271,1136333,1136342,1136343,1136345,1136347,1136348,1136353,1136424,1136428,1136430,1136432,1136434,1136435,1136438,1136439,1136456,1136460,1136461,1136462,1136467,1136469,1136477,1136478,1136498,1136573,1136586,1136598,1136881,1136922,1136935,1136978,1136990,1137103,1137151,1137152,1137153,1137162,1137194,1137201,1137224,1137232,1137233,1137236,1137366,1137372,1137429,1137444,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137739,1137752,1137811,1137827,1137884,1137985,1137995,1137996,1137998,1137999,1138000,1138002,1138003,1138005,1138006,1138007,1138008,1138009,1138010,1138011,1138012,1138013,1138014,1138015,1138016,1138017,1138018,1138019,1138263,1138291,1138293,1138336,1138374,1138375,1138589,1138681,1138719,1138732,1138874,1138879,1139358,1139619,1139712,1139751,1139771,1139865,1140133,1140139,1140228,1140322,1140328,1140405,1140424,1140428,1140454,1140463,1140559,1140575,1140577,1140637,1140652,1140658,1140676,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2017-5753,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16871,CVE-2018-16880,CVE-2018-20836,CVE-2018-20855,CVE-2018-7191,CVE-2019-10124,CVE-2019-10638,CVE-2019-10639,CVE-2019-11085,CVE-2019-11091,CVE-2019-1125,CVE-2019-11477,CVE-2019-11478,CVE-2019-11479,CVE-2019-11486,CVE-2019-11487,CVE-2019-11599,CVE-2019-11810,CVE-2019-11811,CVE-2019-11815,CVE-2019-11833,CVE-2019-11884,CVE-2019-12380,CVE-2019-12382,CVE-2019-12456,CVE-2019-12614,CVE-2019-12817,CVE-2019-12818,CVE-2019-12819,CVE-2019-13233,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284,CVE-2019-3846,CVE-2019-3882,CVE-2019-5489,CVE-2019-8564,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP1 (src):    kernel-rt-4.12.14-14.8.1, kernel-rt_debug-4.12.14-14.8.1, kernel-source-rt-4.12.14-14.8.1, kernel-syms-rt-4.12.14-14.8.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    kernel-rt-4.12.14-14.8.1, kernel-rt_debug-4.12.14-14.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 44 Matthias Brugger 2019-11-15 20:45:28 UTC
Andrea, can
Comment 45 Matthias Brugger 2019-11-17 22:50:53 UTC
(In reply to Matthias Brugger from comment #44)
> Andrea, can

you please verify if you still see the errors? I realized you use a two year old tumbleweed. It would be also good if you could test openSUSE Leap 15.1
Comment 46 Andrea Colombo 2019-11-20 23:19:24 UTC
Matthias, I'm using below distribution on the same HW for which I opened this case, and I haven't see any further errors since some months (after kernel updates).
I'm sorry but I'm unable to test Leap 15.1 on Raspberry PI (model 1) because it seems it isn't available for this architecture.
Standing for my experience, this case could be considered now as resolved.
Thanks a lot for your (whole team) support.

administrator@bridge:~> cat /etc/os-release
NAME="openSUSE Tumbleweed"
# VERSION="20190925"
ID="opensuse-tumbleweed"
ID_LIKE="opensuse suse"
VERSION_ID="20190925"
PRETTY_NAME="openSUSE Tumbleweed"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:tumbleweed:20190925"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://www.opensuse.org/"
LOGO="distributor-logo"
Comment 47 Matthias Brugger 2019-11-21 11:38:22 UTC
issue fixed in newer versions of tumbleweed.